org.jboss.logging.processor.validation

## Interface ValidationMessage

    public interface ValidationMessage

Date: 12.08.2011

Author:
  James R. Perkins

### Nested Class Summary

Nested Classes
`static class` `ValidationMessage.Type` Validation message type enum.

### Method Summary

Methods
`String` `getMessage()` Returns the error message.
`MessageObject` `getMessageObject()` Returns the message object that caused the error.
`ValidationMessage.Type` `type()` The type of the message.

### Method Detail

#### type

    ValidationMessage.Type type()

The type of the message.

Returns:
  the type of the message.

#### getMessageObject

    MessageObject getMessageObject()

Returns the message object that caused the error.

Returns:
  the message object that caused the error.

#### getMessage

    String getMessage()

Returns the error message.

Returns:
  the error message.